Magento Forum

Upgrade from 1.3.2.2 to 1.3.2.3 / Backend = 404 <SOLVED>
 
ForgetHangovers
Sr. Member
 
Total Posts:  83
Joined:  2009-04-12
Maryland, USA
 

I tried to upgrade from 1.3.2.2 to 1.3.2.3, and now I can’t access my backend (/admin/) I get “404 Not Found 1”.
Initially I tried to upgrade from Magento Connect, but now when I try to upgrade from SSH I get the following:

./pear upgrade-all
Will upgrade channel
://connect.magentocommerce.com/core/mage_core_modules
Will upgrade channel://connect.magentocommerce.com/core/mage_all_latest
Will upgrade channel://connect.magentocommerce.com/core/mage_core_adminhtml
Will upgrade channel://connect.magentocommerce.com/core/lib_js_mage
magento-core/Mage_Core_Modules requires PHP (version >= 5.2.0version <= 6.0.0excluded versions6.0.0), installed version is 4.4.9
magento
-core/Mage_All_Latest requires PHP (version >= 5.2.0version <= 6.0.0excluded versions6.0.0), installed version is 4.4.9
magento
-core/Mage_All_Latest requires package "magento-core/Mage_Core_Modules" (version >= 1.3.2.3version <= 1.3.2.3), installed version is 1.3.2.2
magento
-core/mage_all_latest requires package "magento-core/Mage_Core_Adminhtml" (version >= 1.3.2.2version <= 1.3.2.2), downloaded version is 1.3.2.3
magento
-core/Mage_Core_Adminhtml cannot be installedconflicts with installed packages
magento
-core/Lib_Js_Mage requires PHP (version >= 5.2.0version <= 6.0.0excluded versions6.0.0), installed version is 4.4.9
No valid packages found

Release Warnings
================
u

u

Why is it saying I am using PHP version 4.4.9, when I look at the php version on my browser (phpinfo.php) I am showing PHP version 5.2.6?

EDIT:

Ok I figured out my PHP problem, I was defaulting to v4 from shell, so I had to update my ~/.bash_profile file on my host to reference PHP v5

export PATH=/usr/local/php5/bin/:$PATH
So now I’ve run ./pear upgrade-all and got these results:
./pear upgrade-all
Will upgrade channel
://connect.magentocommerce.com/core/mage_core_modules
Will upgrade channel://connect.magentocommerce.com/core/mage_all_latest
Will upgrade channel://connect.magentocommerce.com/core/mage_core_adminhtml
Will upgrade channel://connect.magentocommerce.com/core/lib_js_mage
downloading Mage_Core_Modules-1.3.2.3.tgz ...
Starting to download Mage_Core_Modules-1.3.2.3.tgz (1,625,573 bytes)
.................................................................................................................................................................................................................................................................................................................................
done1,625,573 bytes
downloading Mage_All_Latest
-1.3.2.3.tgz ...
Starting to download Mage_All_Latest-1.3.2.3.tgz (1,004 bytes)
...
done1,004 bytes
downloading Mage_Core_Adminhtml
-1.3.2.3.tgz ...
Starting to download Mage_Core_Adminhtml-1.3.2.3.tgz (396,160 bytes)
...
done396,160 bytes
downloading Lib_Js_Mage
-1.3.2.3.tgz ...
Starting to download Lib_Js_Mage-1.3.2.3.tgz (70,330 bytes)
...
done70,330 bytes
upgrade
-all okchannel://connect.magentocommerce.com/core/Lib_Js_Mage-1.3.2.3
upgrade-all okchannel://connect.magentocommerce.com/core/Mage_Core_Modules-1.3.2.3
upgrade-all okchannel://connect.magentocommerce.com/core/Mage_Core_Adminhtml-1.3.2.3
upgrade-all okchannel://connect.magentocommerce.com/core/Mage_All_Latest-1.3.2.3

And I now have access to my Admin panel again :-D !!!

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top